package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

public class Tag26TCreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag26TCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        String tag26TValue = mt103STPCreator.getTransactionTypeCode();
        mt103STPCreator.set("26T", tag26TValue);
    }
}
